Page MenuHomePhabricator

Article reader sees message/guidance about creating a collection so that they know the feature exists and the entry point
Closed, DeclinedPublic3 Story Points

Description

Ideally this shows

Acceptance Criteria
    • Overlay targets Mobile web beta En users, including anon (ideally not on their first page view)
  • Show two buttons "No thanks" and "Add to collection" (clicking latter opens the collections overlay)
  • Text TBC
    • User sees overlay/banner on article load
    • Overlay stops being shown when user dismisses it (don't show this again) (cookie/localstorage), clicks "add to collection" and/or 14 days have passed since feature is rolled out.


Trello card: WsTUnRyU

  • column: Should have

Event Timeline

Trellimport added a project: Gather.
Trellimport added subscribers: KLans_WMF, JKatzWMF, MSyed.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 1:15 AM
JKatzWMF moved this task from Needs triage to Sub tasks on the Gather board.Feb 27 2015, 6:03 PM
JKatzWMF moved this task from Sub tasks to This Sprint on the Gather board.Mar 3 2015, 2:01 AM
JKatzWMF updated the task description. (Show Details)
JKatzWMF set Security to None.
JKatzWMF updated the task description. (Show Details)Mar 3 2015, 9:54 PM
JKatzWMF updated the task description. (Show Details)
JKatzWMF updated the task description. (Show Details)
JKatzWMF moved this task from In Analysis to Ready for dev on the Gather Sprint Diplodocus board.

Note we could reuse this code: http://en.m.wikipedia.beta.wmflabs.org/wiki/Headings?article_action=signup-edit (and fix the bugs with it in the process)
Essentially we can point to any element in the page with a message.
This was effective at getting people to click on the edit button after signing up. Would be good to reuse pattern.

Can put any message we want in it.
We can show it once to logged in users / anon users using cookies/localStorage - you would need to define under what circumstances it shows.

Jdlrobson edited a custom field.Mar 5 2015, 6:59 PM
Jdlrobson moved this task from Ready for dev to In Analysis on the Gather Sprint Diplodocus board.
JKatzWMF updated the task description. (Show Details)Mar 5 2015, 6:59 PM
JKatzWMF edited a custom field.

@JKatzWMF Please remove optional tasks, make separate cards for them or make them mandatory

Please add asset

JKatzWMF updated the task description. (Show Details)Mar 14 2015, 7:38 PM

Good point. I just created another ticket for the event logging. This is actually one piece that I do think needs event logging.

JKatzWMF updated the task description. (Show Details)Mar 15 2015, 9:40 PM

JKatzWMF updated the task description. (Show Details)Mar 16 2015, 5:11 PM
JKatzWMF updated the task description. (Show Details)
JKatzWMF updated the task description. (Show Details)

The mock is not the exact thing, but it gives us a good idea for estimation purposes.

JKatzWMF updated the task description. (Show Details)Mar 16 2015, 5:16 PM
Jdlrobson updated the task description. (Show Details)Mar 16 2015, 7:05 PM

Take a look at PageActionOverlay in mobile.

Jdlrobson edited a custom field.Mar 16 2015, 7:09 PM
Jdlrobson moved this task from In Analysis to Ready for dev on the Gather Sprint Diplodocus board.
rmoen moved this task from Ready for dev to In development on the Gather Sprint Diplodocus board.

Change 197247 had a related patch set uploaded (by Robmoen):
WIP: Article reader sees guidance about creating a collection

https://gerrit.wikimedia.org/r/197247

@JKatzWMF the bug says nothing about enabling this for anons. Talking to you yesterday it sounded like that was what you intended?

In addition to above I notice two issues:

  • I think we should also take into account if a user has more than 1 collection - as in this situation they have used the feature and don't need notifying about it surely?.
  • If I click the add to collection but I think that should also trigger the dismissal?

@Jdlrobson, @rmoen.

You are right, the targeting criteria is "mobile web beta en users". This includes anon.
Dismissing the dismissal should mean the notification never shows, again. I agree that "creating a collection" should lead to the same outcome.

Updating description to reflect.

JKatzWMF updated the task description. (Show Details)Mar 18 2015, 4:28 PM

@JKatzWMF: Should clicking the watchstar also dismiss the CTA like the other buttons?

yes--good catch!

JKatzWMF moved this task from This Sprint to In sprint on the Gather board.Mar 19 2015, 5:54 PM

Gerrit bot has gone AWOL but https://gerrit.wikimedia.org/r/#/c/197247/ is merged.

I've submitted a new patch that fixes some FIXMEs and extracts the overlay to it's own file.

Change 198209 had a related patch set uploaded (by Jhernandez):
Extract WatchstarPageActionOverlay

https://gerrit.wikimedia.org/r/198209

@Jdlrobson @rmoen have a look when you can ⬆️. Behavior should be exactly the same as before.

Feel free to move to signoff since the functionality is actually there.

Change 198209 merged by jenkins-bot:
Extract WatchstarPageActionOverlay

https://gerrit.wikimedia.org/r/198209

@rmoen, @Jhernandez, how do i test this/trigger?

JKatzWMF closed this task as Resolved.Mar 23 2015, 6:18 PM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Diplodocus board.
Jdlrobson changed the task status from Resolved to Declined.Mar 24 2015, 11:36 PM
Jdlrobson moved this task from Done to Ready for signoff on the Gather Sprint Diplodocus board.

@JKatzWMF noticed slight regression with this - T93827